获取 secureScoreControlProfile

命名空间:microsoft.graph

检索 securescorecontrolprofile 对象的属性和关系。

权限

要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限

权限类型 权限(从最低特权到最高特权)
委派(工作或学校帐户) SecurityEvents.Read.All,SecurityEvents.ReadWrite.All
委派(个人 Microsoft 帐户) 不支持。
应用程序 SecurityEvents.Read.All,SecurityEvents.ReadWrite.All

HTTP 请求

GET /security/securescorecontrolprofiles/{id}

请求标头

名称 说明
Authorization Bearer {code}。 必需。

请求正文

请勿提供此方法的请求正文。

响应

如果成功,此方法在响应正文中返回 响应代码和 200 OK secureScoreControlProfile 对象。 如果从提供程序返回了 2xx 或 404 以外的状态代码,或者提供程序超时,则响应将是 206 Partial Content 状态代码,提供程序的响应位于警告标头中。 有关详细信息,请参阅 Microsoft Graph 安全性 API 错误响应

示例

请求

下面展示了示例请求。

GET https://graph.microsoft.com/v1.0/security/secureScoreControlProfiles/{id}

响应

下面展示了示例响应。

HTTP/1.1 200 OK
Content-type: application/json

{
  "id": "DLPEnabled",
  "azureTenantId": "00000001-0001-0001-0001-000000000001c",
  "actionType": "Config",
  "actionUrl": "https://compliance.microsoft.com/#/policies",
  "controlCategory": "Data",
  "title": "Apply Data Loss Prevention policies", 
  "deprecated": false,
  "implementationCost": "Moderate",
  "lastModifiedDateTime": null,
  "maxScore": 20.0,
  "rank": 55,
  "remediation": "You can create and manage data loss prevention policies in the Policies page of the compliance portal.",
  "remediationImpact": "This change will have a moderate impact on your users.",
  "service": "IP",
  "threats": [
    "Data Exfiltration",
    "Data Spillage"
  ],
  "tier": "Advanced",
  "userImpact": "Moderate",
  "complianceInformation": [
    {
      "certificationName": "ISO 27001:2013",
      "certificationControls": [
        {
          "name": "A.8.2.1",
          "url": "",
        }
      ]
    }         
  ],
  "controlStateUpdates": [
    {
      "assignedTo": null,
      "comment": null,
      "state": "Default",
      "updatedBy": null,
      "updatedDateTime": "2019-03-19T22:37:14.628799Z"
    }
  ],
  "vendorInformation": {
    "provider": "SecureScore",
    "providerVersion": null,
    "subProvider": null,
    "vendor": "Microsoft"
  }
}